sealed Class Reference

`#include <SDL_winrtapp_direct3d.h>`

Inheritance diagram for sealed:
[legend]
Collaboration diagram for sealed:
[legend]

## Public Member Functions

virtual Windows::ApplicationModel::Core::IFrameworkView | CreateView ()
| SDL_WinRTApp ()
virtual void | Initialize (Windows::ApplicationModel::Core::CoreApplicationView^ applicationView)
virtual void | SetWindow (Windows::UI::Core::CoreWindow^ window)
virtual void | Load (Platform::String^ entryPoint)
virtual void | Run ()
virtual void | Uninitialize ()

## Data Fields

internal | __pad0__: void PumpEvents()

## Protected Member Functions

bool | ShouldWaitForAppResumeEvents ()
void | OnOrientationChanged (Platform::Object^ sender)
void | OnWindowSizeChanged (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::WindowSizeChangedEventArgs^ args)
void | OnLogicalDpiChanged (Platform::Object^ sender)
void | OnAppActivated (Windows::ApplicationModel::Core::CoreApplicationView^ applicationView, Windows::ApplicationModel::Activation::IActivatedEventArgs^ args)
void | OnSuspending (Platform::Object^ sender, Windows::ApplicationModel::SuspendingEventArgs^ args)
void | OnResuming (Platform::Object^ sender, Platform::Object^ args)
void | OnExiting (Platform::Object^ sender, Platform::Object^ args)
void | OnWindowActivated (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::WindowActivatedEventArgs^ args)
void | OnWindowClosed (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::CoreWindowEventArgs^ args)
void | OnVisibilityChanged (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::VisibilityChangedEventArgs^ args)
void | OnPointerPressed (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::PointerEventArgs^ args)
void | OnPointerReleased (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::PointerEventArgs^ args)
void | OnPointerWheelChanged (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::PointerEventArgs^ args)
void | OnPointerMoved (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::PointerEventArgs^ args)
void | OnPointerEntered (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::PointerEventArgs^ args)
void | OnPointerExited (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::PointerEventArgs^ args)
void | OnMouseMoved (Windows::Devices::Input::MouseDevice^ mouseDevice, Windows::Devices::Input::MouseEventArgs^ args)
void | OnKeyDown (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::KeyEventArgs^ args)
void | OnKeyUp (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::KeyEventArgs^ args)
void | OnCharacterReceived (Windows::UI::Core::CoreWindow^ sender, Windows::UI::Core::CharacterReceivedEventArgs^ args)
void | OnBackButtonPressed (Platform::Object^ sender, Windows::UI::Core::BackRequestedEventArgs^ args)
void | OnGamepadAdded (Platform::Object ^sender, Windows::Gaming::Input::Gamepad ^gamepad)

## Private Attributes

bool | m_windowClosed
bool | m_windowVisible

## Detailed Description

Definition at line 96 of file SDL_winrtapp_direct3d.cpp.

## Member Function Documentation

## CreateView()

virtual Windows::ApplicationModel::Core::IFrameworkView sealed::CreateView | ( |  | ) |

virtual

## Initialize()

virtual void sealed::Initialize | ( | Windows::ApplicationModel::Core::CoreApplicationView^ | applicationView | ) |

virtual

## Load()

virtual void sealed::Load | ( | Platform::String^ | entryPoint | ) |

virtual

## OnAppActivated()

void sealed::OnAppActivated | ( | Windows::ApplicationModel::Core::CoreApplicationView^ | applicationView,
|  | Windows::ApplicationModel::Activation::IActivatedEventArgs^ | args
| ) |  |

protected

## OnBackButtonPressed()

void sealed::OnBackButtonPressed | ( | Platform::Object^ | sender,
|  | Windows::UI::Core::BackRequestedEventArgs^ | args
| ) |  |

protected

## OnCharacterReceived()

void sealed::OnCharacterReceived | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::CharacterReceivedEventArgs^ | args
| ) |  |

protected

## OnExiting()

void sealed::OnExiting | ( | Platform::Object^ | sender,
|  | Platform::Object^ | args
| ) |  |

protected

## OnGamepadAdded()

void sealed::OnGamepadAdded | ( | Platform::Object ^ | sender,
|  | Windows::Gaming::Input::Gamepad ^ | gamepad
| ) |  |

protected

## OnKeyDown()

void sealed::OnKeyDown | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::KeyEventArgs^ | args
| ) |  |

protected

## OnKeyUp()

void sealed::OnKeyUp | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::KeyEventArgs^ | args
| ) |  |

protected

## OnLogicalDpiChanged()

void sealed::OnLogicalDpiChanged | ( | Platform::Object^ | sender | ) |

protected

## OnMouseMoved()

void sealed::OnMouseMoved | ( | Windows::Devices::Input::MouseDevice^ | mouseDevice,
|  | Windows::Devices::Input::MouseEventArgs^ | args
| ) |  |

protected

## OnOrientationChanged()

void sealed::OnOrientationChanged | ( | Platform::Object^ | sender | ) |

protected

## OnPointerEntered()

void sealed::OnPointerEntered | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::PointerEventArgs^ | args
| ) |  |

protected

## OnPointerExited()

void sealed::OnPointerExited | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::PointerEventArgs^ | args
| ) |  |

protected

## OnPointerMoved()

void sealed::OnPointerMoved | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::PointerEventArgs^ | args
| ) |  |

protected

## OnPointerPressed()

void sealed::OnPointerPressed | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::PointerEventArgs^ | args
| ) |  |

protected

## OnPointerReleased()

void sealed::OnPointerReleased | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::PointerEventArgs^ | args
| ) |  |

protected

## OnPointerWheelChanged()

void sealed::OnPointerWheelChanged | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::PointerEventArgs^ | args
| ) |  |

protected

## OnResuming()

void sealed::OnResuming | ( | Platform::Object^ | sender,
|  | Platform::Object^ | args
| ) |  |

protected

## OnSuspending()

void sealed::OnSuspending | ( | Platform::Object^ | sender,
|  | Windows::ApplicationModel::SuspendingEventArgs^ | args
| ) |  |

protected

## OnVisibilityChanged()

void sealed::OnVisibilityChanged | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::VisibilityChangedEventArgs^ | args
| ) |  |

protected

## OnWindowActivated()

void sealed::OnWindowActivated | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::WindowActivatedEventArgs^ | args
| ) |  |

protected

## OnWindowClosed()

void sealed::OnWindowClosed | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::CoreWindowEventArgs^ | args
| ) |  |

protected

## OnWindowSizeChanged()

void sealed::OnWindowSizeChanged | ( | Windows::UI::Core::CoreWindow^ | sender,
|  | Windows::UI::Core::WindowSizeChangedEventArgs^ | args
| ) |  |

protected

## Run()

virtual void sealed::Run | ( |  | ) |

virtual

## SDL_WinRTApp()

sealed::SDL_WinRTApp | ( |  | ) |

## SetWindow()

virtual void sealed::SetWindow | ( | Windows::UI::Core::CoreWindow^ | window | ) |

virtual

## ShouldWaitForAppResumeEvents()

bool sealed::ShouldWaitForAppResumeEvents | ( |  | ) |

protected

## Uninitialize()

virtual void sealed::Uninitialize | ( |  | ) |

virtual

## Field Documentation

## __pad0__

internal sealed::__pad0__

Definition at line 39 of file SDL_winrtapp_direct3d.h.

## m_windowClosed

bool sealed::m_windowClosed

private

Definition at line 88 of file SDL_winrtapp_direct3d.h.

## m_windowVisible

bool sealed::m_windowVisible

private

Definition at line 89 of file SDL_winrtapp_direct3d.h.

The documentation for this class was generated from the following files:

- src/core/winrt/SDL_winrtapp_direct3d.cpp
- src/core/winrt/SDL_winrtapp_direct3d.h